export type Theme = "light" | "dark";
export declare class ThemeManager {
    private static STORAGE_KEY;
    private storage;
    private currentTheme;
    private rootElement;
    constructor(rootElement: HTMLElement);
    getTheme(): Theme;
    setTheme(theme: Theme): void;
    toggleTheme(): Theme;
    private applyTheme;
    private updateCodeMirrorTheme;
    private getStoredTheme;
    private getSystemTheme;
    listenToSystemTheme(): void;
    refresh(): void;
}
